/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.stimmeingabe.boundary;

import de.ivu.elect.business.stimmeingabe.entity.Stimmeingabefehler;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class StimmeingabefehlerDAO extends AbstractStimmeingabefehlerDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(Stimmeingabefehler stimmeingabefehler){
    getEntityManager().persist(stimmeingabefehler);
  }

  public void remove(Stimmeingabefehler stimmeingabefehler){
    getEntityManager().remove(stimmeingabefehler);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                    
        /**
        * Name: ErgebniseingangAndFehlerartBeschreibungNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT s.beschreibung FROM Stimmeingabefehler s WHERE s.stimmeingabe.ergebniseingang = ?1 AND s.fehlerart = ?2<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<java.lang.String> findByErgebniseingangAndFehlerartBeschreibung( @javax.annotation.Nonnull de.ivu.elect.business.stimmeingabe.entity.Ergebniseingang ergebniseingang,  @javax.annotation.Nonnull de.ivu.elect.business.stimmeingabe.entity.Stimmeingabefehlerart fehlerart) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Stimmeingabefehler.findByErgebniseingangAndFehlerartBeschreibung" ,  ergebniseingang ,  fehlerart  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByErgebniseingangAndFehlerartBeschreibung( ergebniseingang ,  fehlerart  ));
        }
        return (java.util.List<java.lang.String>) cached;
        }
            return super.findByErgebniseingangAndFehlerartBeschreibung( ergebniseingang ,  fehlerart  );
            }
                                            
        /**
        * Name: ErgebniseingangBeschreibungNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT s.beschreibung FROM Stimmeingabefehler s WHERE s.stimmeingabe.ergebniseingang = ?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<java.lang.String> findByErgebniseingangBeschreibung( @javax.annotation.Nonnull de.ivu.elect.business.stimmeingabe.entity.Ergebniseingang ergebniseingang) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Stimmeingabefehler.findByErgebniseingangBeschreibung" ,  ergebniseingang  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByErgebniseingangBeschreibung( ergebniseingang  ));
        }
        return (java.util.List<java.lang.String>) cached;
        }
            return super.findByErgebniseingangBeschreibung( ergebniseingang  );
            }
                        
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}